# Piped

Pipeman Ruby Client

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'piped'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install piped

## Usage

```ruby
  # Sends a notification.
  Piped.api_key = "YOUR_API_KEY"
  Piped.push(
    event_id: "some_notification_id",
    user_id: 123456,
    data: {some: "data"}
  )
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake rspec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/[USERNAME]/piped.


## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).

# piped
